Bug 71983 - hangs at rhn-register when sitting behind a proxy
hangs at rhn-register when sitting behind a proxy
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks: 82264
  Show dependency treegraph
 
Reported: 2002-08-20 11:48 EDT by Enrico Scholz
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-20 08:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-08-20 11:48:51 EDT
Description of Problem:

When http-access is available only through a proxy, firstboot hangs at the
rhn-register stage.


How producible:

100%


Steps to Reproduce:
1. start the freshly installed machine behind a firewall which drops away 
   HTTP-packages from "normal" hosts
2. try to register at RHN


Actual Results:

process hangs


Expected Results:

proxy can be configured before rhn-register or at least a warning that it will
not work behind firewalls
Comment 1 Brent Fox 2002-08-20 12:53:39 EDT
I thought that up2date had a way of working from behind a proxy.  I think that
up2date should handle this...not firstboot.
Comment 2 Adrian Likins 2002-08-20 18:26:37 EDT
it should be prompting for proxy configuration
on first running of up2date.

I'll check and see why this might not be happening.
Comment 3 Adrian Likins 2002-08-21 18:45:18 EDT
fixed in up2date-2.9.51
Comment 4 Enrico Scholz 2003-01-06 19:36:52 EST
Happens again in phoebe...
Comment 5 Adrian Likins 2003-01-28 21:00:49 EST
Should be fixed in 3.1.6. No network query is done
until the dialog is up, and only at users demand. 
So proxies can be configure first. 
Comment 6 Matt Jamison 2003-05-20 08:48:16 EDT
proxy config does indeed pop up first.

closing bug.

Note You need to log in before you can comment on or make changes to this bug.